<?php
/*
     BatchDelete.setup.php Mediawiki extension. Setup file.
     See detail http://metabolomics.jp/wiki/Help:Extension/BachDelete
     Last-modified: 2008.11.05
     Version: 0.1

     *********************************************************************

     Copyright (C) 2008 Metabolomics.JP Development Team

     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

     *********************************************************************
     Author: Arita laboratory, with Kazuhiro Suwa <metabolome@cb.k.u-tokyo.ac.jp>
     URL: http://metabolomics.jp/
*/
 
if ( !defined( 'MEDIAWIKI' ) ) {
	die( 'This file is a MediaWiki extension, see <a href="http://metabolomics.jp/wiki/Help:Extension/BatchDelete">BatchDelete.php</a>.' );
}
 
$wgAutoloadClasses['BatchDelete'] = dirname(__FILE__) . '/Batchdelete.body.php';
$wgSpecialPages['BatchDelete'] = 'BatchDelete';
$wgHooks['LoadAllMessages'][] = 'BatchDelete::loadMessages';
$wgHooks['LangugeGetSpecialPageAliases'][] = 'BatchDeleteSetup';
 
$wgExtensionCredits['specialpage'][] = array(
	'name' => 'BatchDelete',
	'version' => '0.1',
	'author' => 'K, Suwa',
	'description' => 'Batch delete page(s).',
);

function BatchDeleteSetup(&$specialPageArray, $code)
{
	BatchDelete::loadMessages();
	$text = wfMsg('batchdelete');
 
	$title = Title::newFromText($text);
	$specialPageArray['BatchDelete'][] = 'BatchDelete';
 
	return true;
}

