<?php
/*
     This file is based on the original ParserFunctions.php in "Extension:ParserFunctions".
     Modified since 2009/12/09.
     For the original source, see at http://www.mediawiki.org/wiki/Extension:ParserFunctions.

     *********************************************************************

     JDXFunctions.php Mediawiki extension. Parser functions for JDX.
     See detail http://metabolomics.jp/wiki/Help:Extension/JDXFunctions
     Last-modified: 2009.12.09
     Version: 0.1

     *********************************************************************

     Copyright (C) 2009 Metabolomics.JP Development Team

     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

     *********************************************************************
     Author: Arita laboratory, with Kazuhiro Suwa <metabolome@cb.k.u-tokyo.ac.jp>
     URL: http://metabolomics.jp/
*/

if ( !defined( 'MEDIAWIKI' ) ) {
        die( 'This file is a MediaWiki extension, see <a href="http://metabolomics.jp/wiki/Help:Extension/Secret">Secret.php</a>.' );
}

#$wgExtensionFunctions[] = 'wfSetupSecret';
$wgExtensionCredits['parserhook'][] = array(
	'name' => 'Secret',
	'version' => '0.1',
	'author' => 'K, Suwa',
	'description' => 'Can use fine permissions.',
);

$wgHooks['userCan'][] = 'isSecretPage';

function isSecretPage( &$title, &$wgUser, $flag, &$result )
{
	$ns = $title->getNamespace();
	$user = $wgUser->getName();

	$tl_user = strtolower( $user );
	/* Please write permission settings here
           Set $result = true is permission allow.
           Set $result = false is permission not allow.
           You use $user as username, $ns as namespace number and $flag as action.
           $action is 'view', 'edit', 'submit' and etc.

        ex. 'Test' user can't access NS_MEDIAWIKI namespace.
	if( $ns == NS_MEDIAWIKI && strcmp( "Test", $user ) == 0 )
		$result = false;

        ex. 'Hoge' user can't view NS_MEDIAWIKI namespace.
	if( $ns == NS_MEDIAWIKI && strcmp( "Hoge", $user ) == 0 && strcmp( 'view', $flag ) == 0 )
		$result = false;
	*/

	return true;
}
