<?php
/*
     Wbr.php Mediawiki extension.  Can use <wbr> HTML tag.
     See detail http://metabolomics.jp/wiki/Help:Extension/Wbr
     Last-modified: 2008.10.07
     Version: 1.01
     Change:
       - change return string, "<wbr>" to "<wbr />"

     History
     Version: 1.0 2008.09.17

     *********************************************************************

     Copyright (C) 2008 Metabolomics.JP Development Team

     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

     *********************************************************************
     Author: Arita laboratory, with Kazuhiro Suwa <metabolome@cb.k.u-tokyo.ac.jp>
     URL: http://metabolomics.jp/
*/

if( !defined( 'MEDIAWIKI' ) ) {
	die( 'This file is a MediaWiki extension, see <a href="http://metabolomics.jp/wiki/Help:Extension/Wbr">Wbr.php</a>.');
}

$wgExtensionFunctions[] = 'efWbrSetup';
$wgExtensionCredits['parserhook'][] = array(
	'name' => 'Wbr',
	'version' => '1.01',
	'author' => 'K, Suwa',
	'description' => '&lt;wbr&gt; HTML tag',
	'url' => 'http://metabolomics.jp/wiki/Help:Extension/Wbr',
);

function efWbrSetup() {
	global $wgParser;

	$wbr = new Wbr;

	$wgParser->setHook( 'wbr', array( $wbr, 'replaceWbr' ) );
}
 
class Wbr {
	function replaceWbr( $input, $args, $parser ) {
		return '<wbr />';
	}
}
