#!/bin/sh
###############################################################################
#
#     Check program to ScriptFunctions.php script. 
#     See detail http://metabolomics.jp/wiki/Help:Extension/ScriptFunctions
#     Last-modified: 2008.09.30
#     Version: 0.1
#
#     *********************************************************************
#
#     Copyright (C) 2008 Metabolomics.JP Development Team
#
#     This program is free software; you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation; either version 2 of the License, or
#     (at your option) any later version.
#
#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
#
#     You should have received a copy of the GNU General Public License
#     along with this program; if not, write to the Free Software
#     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#     *********************************************************************
#     Author: Arita laboratory, with Kazuhiro Suwa <metabolome@cb.k.u-tokyo.ac.jp>
#     URL: http://metabolomics.jp/
#
############################################################################

THRESHOLD=10

RES=`ps axuw | grep "./lua .*mw_ex_lua_" | awk '{print $2" "$10" "}'`
while [ "$RES" ]
do
	PID=${RES%% *}
	RES=${RES#* }
	TIME=${RES%% *}
	RES=${RES#* }

	MINUTE=${TIME%%:*}
	SECOND=${TIME#*:}
	ELAPSE=`expr $MINUTE '*' 60 + $SECOND`
	if [ $ELAPSE -ge $THRESHOLD ];
	then
#		echo "kill $PID $ELAPSE"
		kill $PID
	fi
done
