<?php
/*
     RemoteSearch Mediawiki extension. Search relational server.
     See detail http://metabolomics.jp/wiki/Help:Extension/RemoteSearch
     Last-modified: 2009.07.02
     Version: 0.1

     *********************************************************************

     Copyright (C) 2009-2010 Metabolomics.JP Development Team

     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

     *********************************************************************
     Author: Arita laboratory, with Kazuhiro Suwa <metabolome@cb.k.u-tokyo.ac.jp>
     URL: http://metabolomics.jp/
*/
 
if ( !defined( 'MEDIAWIKI' ) ) {
	die( 'This file is a MediaWiki extension, see <a href="http://metabolomics.jp/wiki/Help:Extension/RemoteSearch">RemoteSearch.php</a>.' );
}
 
define( 'REMOTE_SEARCH', true );

$wgAutoloadClasses['RemoteSearch'] = dirname(__FILE__) . '/RemoteSearch.body.php';
$wgSpecialPages['RemoteSearch'] = 'RemoteSearch';
$wgHooks['LoadAllMessages'][] = 'RemoteSearch::loadMessages';
$wgHooks['LanguageGetSpecialPageAliases'][] = 'efRemoteSearchSetup';
 
$wgExtensionCredits['specialpage'][] = array(
	'name' => 'RemoteSearch',
	'version' => '0.1',
	'author' => 'K, Suwa',
	'description' => 'search remote server.',
);

function efRemoteSearchSetup( &$specialPageArray, $code ) {

	RemoteSearch::loadMessages();
	$text = wfMsg('remotesearch');
 
	$title = Title::newFromText( $text );
	$specialPageArray['RemoteSearch'][] = 'RemoteSearch';
 
	return true;
}
